# aliases
alias \
  nf="clear && neofetch" \
  ascdis="fastfetch --logo \$1" \
  emoji="cat ~/.local/share/emoji | grep \$1" \
  cst="emacs ~/.config/st/config.h" \
  lasal="ls -al" \
  ahl="ls -ahl" \
  resmacs="systemctl --user restart emacsd" \
  smi="doas nvidia-smi" \
  srczsh="source ~/.zshrc" \
  battery="sb-battery" \
  quit="exit" \
  :q="exit" \
  :q!="exit" \
  push="git push" \
  weather="curl wttr.in/masjedsoleyman" \
  las="ls" \
  lasa="ls -a" \
  c="clear" \
  cear="clear" \
  cd..="cd .." \
  ..='echo "cd .."; cd ../' \
  claer="clear" \
  clare="clear" \
  cleae="clear" \
  clera="clear" \
  hotp="htop" \
  copykey='cat ~/.local/key/vault1.key | xclip -sel clipboard' \

grep --color=auto < /dev/null &>/dev/null && alias grep='grep --color=auto'

#utilize sbase coreutils when in shell
export GNU_PATH_BACKUP="$PATH"
export PATH="/bin/sbaseutils/bin:$PATH"
export COREUTILSMODE="POSIX"
alias gnumode='export PATH="/usr/bin:/bin:$GNU_PATH_BACKUP"; export COREUTILSMODE="GNU"'
alias posixmode='export PATH="/home/coast/.local/sbase/bin:$HOME/.local/bin:$GNU_PATH_BACKUP"; export COREUTILSMODE="POSIX"'


export PATH="$HOME/.local/bin:$PATH"
export PATH="/usr/pkg/sbin:/usr/pkg/bin:$PATH"
export PATH="$PATH:/home/coast/.spicetify"
export MANPATH="/usr/pkg/man:$MANPATH"
export XDG_DATA_DIRS="/var/lib/flatpak/exports/share:$HOME/.local/share/flatpak/exports/share:/usr/local/share:/usr/share"
export EDITOR="emacs"
export EIX_LIMIT=0

fpath=(~/.zsh/completions $fpath)

lsbind() {
  print -P "\n"
  ls
  zle reset-prompt
}
zle -N lsbind
bindkey '^S' lsbind
stty -ixon
